Subject: Re: [PATCH net-next v5 11/14] tls/sw: Support MSG_SPLICE_PAGES

From: Jakub Kicinski <[email-masked]>
Date: Wed, 7 Jun 2023 10:34:29 -0700

On Wed, 07 Jun 2023 18:31:10 +0100 David Howells wrote:
> > > Why move pending-open-record-frags setting if it's also set before
> > > jumping?  
> > 
> > I should probably remove it from before the goto - unless you'd prefer to do
> > it in both places.  
> 
> Actually, I need to keep the one before the goto.

Yeah, feels like goes together with updating copied, really,
not no point passing it all the way to tls_sw_sendmsg_splice().
I'd drop the reshuffle next to the label.